package fr.inria.gemo.util;

import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * @author $Author: benjello $
 * @version $Id: CollectionUtils.java,v 1.1 2004/09/23 09:49:43 benjello Exp $
 */
public class CollectionUtils {

	final static public Object GetFirstEntry(Collection collection) {
		if ((collection == null) || collection.isEmpty()) { return null; }
		return collection.iterator().next();
	}

	final static public Object GetFirstEntryKey(Map map) {
		if ((map == null) || map.isEmpty()) { return null; }
		return CollectionUtils.GetFirstEntry(map).getKey();
	}

	final static public Object GetFirstEntryValue(Map map) {
		if ((map == null) || map.isEmpty()) { return null; }
		return CollectionUtils.GetFirstEntry(map).getValue();
	}

	final static public Map.Entry GetFirstEntry(Map map) {
		if ((map == null) || map.isEmpty()) { return null; }
		return (Map.Entry) map.entrySet().iterator().next();
	}

	final static public Map FilterEntries(Map map, Class clazz) {
		Map resultMap = new HashMap(map.size());
		if ((map == null) || map.isEmpty()) {
			return resultMap;
		}
		Iterator entries = map.entrySet().iterator();
		while (entries.hasNext()) {
			Map.Entry entry = (Map.Entry) entries.next();
			if (clazz.isInstance(entry.getValue())) {
				resultMap.put(entry.getKey(), entry.getValue());
			}
		}
		return resultMap;
	}
}