package fr.inria.gemo.util;

import java.io.ByteArrayOutputStream;
import java.io.PrintWriter;

/**
 * @author $Author: benjello $
 * @version $Id: ExceptionUtils.java,v 1.1 2004/09/23 09:49:43 benjello Exp $
 */
public class ExceptionUtils {

	final static public String ToString(String message, Throwable throwable) {
		ByteArrayOutputStream bytes = new ByteArrayOutputStream();
		PrintWriter writer = new PrintWriter(bytes, true /* autoflush */);
		if (!StringUtils.IsEmpty(message)) {
			writer.print(message);
		}
		throwable.printStackTrace(writer);
		return bytes.toString();
	}

	final static public String ToString(Throwable throwable) {
		return ExceptionUtils.ToString(null, throwable);
	}

	/*
	static public void main(String[] args) {
		try {
			throw new Exception("Exception 1");
		} catch (Exception ex) {
			System.out.println("ex.getMessage()");
			System.out.println(ex.getMessage());
			System.out.println("====================================================");
			System.out.println("ex.toString()");
			System.out.println(ex.toString());
			System.out.println("====================================================");
			System.out.println(ExceptionUtils.ToString("ToString\n", ex));
		}
		try {
			try {
				throw new Exception("Exception 1");
			} catch (Exception ex) {
				throw new Exception("Exception 2", ex);
			}
		} catch (Exception ex) {
			System.out.println("ex.getMessage()");
			System.out.println(ex.getMessage());
			System.out.println("====================================================");
			System.out.println("ex.toString()");
			System.out.println(ex.toString());
			System.out.println("====================================================");
			System.out.println(ExceptionUtils.ToString("ToString\n", ex));
		}
		try {
			try {
				throw new Exception("Exception 1");
			} catch (Exception ex) {
				try {
					throw new Exception("Exception 2", ex);
				} catch (Exception ex2) {
					throw new Exception("Exception 3", ex2);
				}
			}
		} catch (Exception ex) {
			System.out.println("ex.getMessage()");
			System.out.println(ex.getMessage());
			System.out.println("====================================================");
			System.out.println("ex.toString()");
			System.out.println(ex.toString());
			System.out.println("====================================================");
			System.out.println(ExceptionUtils.ToString("ToString\n", ex));
		}
	}
	*/
}