/*
 * Created on 8 mars 2003
 */
package fr.inria.gemo.util.xml;

/**
 * @author Jrme Baumgarten
 */
public class OutputFormat {
	final static public String LINE_SEPARATOR_UNIX = "\n";
	final static public String LINE_SEPARATOR_WINDOWS = "\r\n";
	final static public String INDENT_2_SPACES = "  ";
	final static public String INDENT_4_SPACES = "    ";
	final static public String INDENT_TAB = "\t";
	final static public String ENCODING_UTF_8 = "UTF-8";
	final static public String ENCODING_UTF_16 = "UTF-16";
	final static public String ENCODING_ISO_LATIN1 = "ISO-8859-1";
	final static public String XML_VERSION_1_0 = "1.0";
	final static public String XML_VERSION_1_1 = "1.1";
	final static public String XML_STANDALONE_YES = "yes";
	final static public String XML_STANDALONE_NO = "no";

	final static public class DEFAULTS {
		final static public boolean INDENT = true;
		final static public String XML_ENCODING = OutputFormat.ENCODING_ISO_LATIN1;
		final static public String XML_VERSION = OutputFormat.XML_VERSION_1_0;
		final static public String XML_STANDALONE = OutputFormat.XML_STANDALONE_YES;
		final static public String LINE_SEPARATOR =
			OutputFormat.LINE_SEPARATOR_UNIX;
		final static public String INDENT_STRING = OutputFormat.INDENT_2_SPACES;
		final static public boolean DISCARD_EMPTY_TEXT_NODES = true;
	}

	private boolean indent = OutputFormat.DEFAULTS.INDENT;
	private String xmlEncoding = OutputFormat.DEFAULTS.XML_ENCODING;
	private String xmlVersion = OutputFormat.DEFAULTS.XML_VERSION;
	private String xmlStandalone = OutputFormat.DEFAULTS.XML_STANDALONE;
	private String lineSeparator = OutputFormat.DEFAULTS.LINE_SEPARATOR;
	private String indentString = OutputFormat.DEFAULTS.INDENT_STRING;
	private boolean discardEmptyTextNodes =
		OutputFormat.DEFAULTS.DISCARD_EMPTY_TEXT_NODES;

	public OutputFormat() {
		super();
	}

	public void setIndent(boolean indent) {
		this.indent = indent;
	}

	public boolean getIndent() {
		return this.indent;
	}

	public void setIndentString(String indentString) {
		this.indentString = indentString;
	}

	public String getIndentString() {
		return this.indentString;
	}

	public void setXMLVersion(String xmlVersion) {
		this.xmlVersion = xmlVersion;
	}

	public String getXMLVersion() {
		return this.xmlVersion;
	}

	public void setXMLStandalone(String xmlStandalone) {
		this.xmlStandalone = xmlStandalone;
	}

	public String getXMLStandalone() {
		return this.xmlStandalone;
	}

	public void setXMLEncoding(String xmlEncoding) {
		this.xmlEncoding = xmlEncoding;
	}

	public String getXMLEncoding() {
		return this.xmlEncoding;
	}

	public void setLineSeparator(String lineSeparator) {
		this.lineSeparator = lineSeparator;
	}

	public String getLineSeparator() {
		return this.lineSeparator;
	}

	public void setDiscardEmptyTextNodes(boolean discardEmptyTextNodes) {
		this.discardEmptyTextNodes = discardEmptyTextNodes;
	}

	public boolean getDiscardEmptyTextNodes() {
		return this.discardEmptyTextNodes;
	}
}
